<div class="workflow-right-header workflow-header">Share With Team</div>
<div class="share-with-team-container">
  <div>
    <p class="manage-models">
      Sharing a model gives co-authorship to that person. They will be able to
      edit, share and publish, just as a model owner can.
    </p>
  </div>
  <mat-divider class="divider-color"></mat-divider>
  <div class="flex-column">
    <div class="manage-models flex-row">
      <span>This Model shared with below team members</span>|<span
        class="green"
      >
        ({{ sharedWith?.length }} members)</span
      >
    </div>
    <div>
      <mat-chip-set class="chips-set">
        @for (sharedUser of sharedWith; track sharedUser) {
          <mat-chip (removed)="removeUser(sharedUser)" class="chip-user">
            <div class="flex-column full-with">
              <div class="cancel-icon-button">
                <button
                  matChipRemove
                  [attr.aria-label]="'remove ' + sharedUser"
                >
                  <mat-icon>cancel</mat-icon>
                </button>
              </div>

              <div class="user-profile-black-image-container">
                <img
                  src="../../../../assets/images/user-profile-black.png"
                  class="user-profile-black-image"
                />
                <span
                  class="team-user-box"
                  [title]="
                    [sharedUser.firstName, sharedUser.lastName].join(' ')
                  "
                >
                  {{
                    [sharedUser.firstName, sharedUser.lastName].join(" ")
                      | truncate: 8
                  }}
                </span>
              </div>
            </div>
          </mat-chip>
        }
      </mat-chip-set>
    </div>
  </div>
  <mat-divider></mat-divider>

  <div class="manage-models solution-version-container">
    <span class="purple">Sharing "{{ solution?.name }}" </span>
    |<span> Version - {{ selectedRevision.version }}</span>
    |
    <gp-solution-id [solutionId]="solutionId"></gp-solution-id>
  </div>
  <form>
    <mat-form-field class="full-with">
      <mat-label>Find a user to share with</mat-label>
      <mat-chip-grid #chipGrid>
        @for (user of users; track user) {
          <mat-chip-row (removed)="remove(user)">
            {{ user.firstName }} {{ user.lastName }}
            <button matChipRemove [attr.aria-label]="'remove ' + user">
              <mat-icon>cancel</mat-icon>
            </button>
          </mat-chip-row>
        }
      </mat-chip-grid>
      <input
        #userInput
        [formControl]="userCtrl"
        [matChipInputFor]="chipGrid"
        [matAutocomplete]="auto"
        [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
      />
      <mat-autocomplete
        #auto="matAutocomplete"
        (optionSelected)="selected($event)"
      >
        @for (user of filteredUsers | async; track user) {
          <mat-option [value]="user"
            ><span class="autocomplete-option"
              >{{ user.firstName }} {{ user.lastName }}</span
            ></mat-option
          >
        }
      </mat-autocomplete>
    </mat-form-field>
  </form>

  <button
    [disabled]="users.length <= 0"
    color="primary"
    mat-raised-button
    (click)="OnclickShareButton()"
    class="share-button"
  >
    Share
  </button>
</div>
